Package: org.gradle.api.tasks.testing

## [Java] Class TestExecutionException

- org.gradle.api.tasks.testing.TestExecutionException

- A `TestExecutionException` is thrown when no tests can be found that match the specified test filters.

  Since:
    2.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TestExecutionException (String message)`
    `TestExecutionException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TestExecutionException(String message)

    - #### public TestExecutionException(String message, Throwable cause)